import type { VxeGridProps } from '#/adapter/vxe-table';

import { ref } from 'vue';

import dayjs from 'dayjs';

import { type FormSchemaGetter } from '#/adapter/form';

export const querySchema: FormSchemaGetter = () => [
  /*  {
    component: 'Select',
    componentProps: {
      showSearch: true,
      allowClear: true,
      getPopupContainer
    },
    fieldName: 'equId',
    label: '设备名称'
  },*/
  {
    component: 'Input',
    fieldName: 'keyword',
    componentProps: {
      placeholder: '请输入设备名称或资产编号'
    },
    label: '关键字'
  },
  {
    component: 'DatePicker',
    componentProps: {
      picker: 'month',
      format: 'YYYY-MM',
      valueFormat: 'YYYY-MM',
      placeholder: '请选择月份',
      allowClear: true,
      defaultValue: dayjs().format('YYYY-MM'),
      getPopupContainer: (triggerNode: HTMLElement) => triggerNode.parentNode as HTMLElement
    },
    fieldName: 'selectMonth',
    defaultValue: dayjs().format('YYYY-MM'),
    label: '月份选择'
  }
];

export const columns = ref<VxeGridProps['columns']>([
  { type: 'checkbox', width: 60, fixed: 'left' },
  {
    title: '设备名称',
    field: 'equName',
    minWidth: 200,
    fixed: 'left'
  }
]);
